import requests
from datetime import datetime

request = requests.get('http://api.open-notify.org/iss-now.json')
data = request.json()
longitude = data['iss_position']['longitude']
latitude = data['iss_position']['latitude']
timestamp = datetime.fromtimestamp(data['timestamp']).strftime('%Y-%m-%d %H:%M:%S')
print(f"经度={longitude}\n纬度={latitude}\n时间={timestamp}")